version: 1

containers:
  main:
    image: stalwartlabs/mail-server:v0.10.7
    ingress_port: 443
    http_ingress_port: 8080
    environment:
      STALWART_ADMIN_PASSWORD: {{ derive_entropy(identifier="admin_pw") }}
    public_ports:
      25: 25
      587: 587
      465: 465
      143: 143
      993: 993
      4190: 4190
      110: 110
      995: 995
    mounts:
      data:
        stalwart/data: /opt/stalwart-mail
  